Skip to main content
`Ctrl`+`K`

# SNESMSRegisterDestroy

Frees the list of schemes that were registered by `SNESMSRegister()`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSRegisterDestroy(void)

Logically Collective

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMS`, `SNESMSRegister()`, `SNESMSRegisterAll()`

## Level

developer

## Location

src/snes/impls/ms/ms.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages